Tirex::Source(3pm)

NAME
Tirex::Source - A source of a job request

SYNOPSIS
 my $source = Tirex::Source::...->new();
 $source->readable($socket);
 $source->writable($socket);
 $source->notify();

DESCRIPTION
This is a virtual parent class. Only instantiate subclasses: Tirex::Source::Command, Tirex::Source::ModTile, Tirex::Source::Test

METHODS
Each subclass must define the following methods:

  Tirex::Source::...->new()
Create new object of this source class.

  $source->readable($socket) =head2 $source->writable($socket)
These methods are called if the socket that was associated to this source object becomes readable or writable.

The source will return true from any of these if reading/writing has been completed, and false if waits for another chance to read/write.

  $source->notify()
This method is called once a tile has been rendered to notify the source.